Bug 840740 - Review Request: ibus-typing-booster - Auto completion for ibus
Review Request: ibus-typing-booster - Auto completion for ibus
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 02:57 EDT by anish
Modified: 2015-04-12 19:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 18:55:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description anish 2012-07-17 02:57:29 EDT
Spec URL: http://anishpatil.fedorapeople.org/ibus-typing-booster.spec
SRPM URL: http://anishpatil.fedorapeople.org/ibus-typing-booster-0.0.7-1.fc17.src.rpm
Description: 
Predictive text using hunspell dictionaries.
It is a replacement for ibus-hunspell-table

Fedora Account System Username:anishpatil
Comment 1 Parag AN(पराग) 2012-07-20 06:36:50 EDT
Review:-
+ koji build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=4276979

+ rpmlint is acceptable
ibus-typing-booster.noarch: W: devel-file-in-non-devel-package /usr/share/pkgconfig/ibus-typing-booster.pc
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ source verified with upstream as  (sha1sum)
d6e0589cef377335d039c9e5a112783a3e2a27e4  ibus-typing-booster-0.0.7.tar.gz
d6e0589cef377335d039c9e5a112783a3e2a27e4  ../SOURCES/ibus-typing-booster-0.0.7.tar.gz

- License tag is GPLv2 which should be LGPLv2+. Fix this at time of package import.

suggestions:
1) summary should be "Table based engine for IBus"
2) description should be "The IM Engine framework for table-based input methods"

APPROVED.
Comment 2 anish 2012-07-20 06:51:24 EDT
thanks paragn for the review
Comment 3 anish 2012-07-20 06:53:15 EDT
New Package SCM Request
=======================
Package Name: ibus-typing-booster
Short Description: "The IM Engine framework for table-based input methods"
Branches: f17,f16
InitialCC: i18n-team
Comment 4 Gwyn Ciesla 2012-07-20 08:32:54 EDT
No valid FAS accounts, remove "" from Description.
Comment 5 anish 2012-07-20 08:41:21 EDT
New Package SCM Request
=======================
Package Name: ibus-typing-booster
Short Description: The IM Engine framework for table-based input methods
Owners: anishpatil
Branches: f17,f16
InitialCC: i18n-team
Comment 6 Gwyn Ciesla 2012-07-20 08:47:58 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-07-30 02:50:44 EDT
ibus-typing-booster-0.0.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.7-1.fc16
Comment 8 Fedora Update System 2012-07-30 02:51:12 EDT
ibus-typing-booster-0.0.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.7-1.fc17
Comment 9 Fedora Update System 2012-07-30 18:26:33 EDT
ibus-typing-booster-0.0.7-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-08-09 18:55:21 EDT
ibus-typing-booster-0.0.7-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-08-09 19:13:20 EDT
ibus-typing-booster-0.0.7-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.